import { http } from '@/common/utils/request'

// 獲取動態配置模塊配置信息的接口
export const get_menu_detai = async (data:any ,option={}) => 
    http.get(`/sec/udf/menu_detai`, data, )

// 獲取動態配置模塊配置信息的接口  通用系统
export const get_menu_detai_comm = async (data:any ,option={}) => 
    http.get(`/sec/udf/comm_menu_detai`, data , {}, true, option)


// API 臨時請求接口
export const get_dynamic_config = ({menu_id}:any) => {
    let params = {
        "comp_id":'IA',
        "system_id":'SEC',
        "menu_id":menu_id,
    }
    return get_menu_detai(params)
} 


// API 臨時請求接口
export const get_dynamic_config_comm = ({menu_id}:any) => {
    let params = {
        "comp_id":'IA',
        "system_id":'SEC',
        "menu_id":menu_id,
    }
    return get_menu_detai_comm(params)
} 
